Bug 189865

Summary: FC5 installer fails on Transmeta due to package/arch mismatch
Product: [Fedora] Fedora Reporter: Phil Mayers <p.mayers>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED DUPLICATE QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 5   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-04-25 09:57:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Phil Mayers 2006-04-25 07:53:31 EDT
Description of problem:

Installation fails with the message "There was an error running your
transaction, for the following reason(s): package for incorrect arch".

Switching to VT 3 shows the following log:

INFO: moving (1) to step installpackages
INFO: Preparing to install packages
ERROR: error running transaction: package glibc-2.4-4 is intended for i686
architechture
ERROR: error running transaction: package openssl-0.9.8a-5.2 is intended for
i686 architechture
ERROR: error running transaction: package kernel-2.6.15-1.2054_FC5 is intended
for i686 architechture

Switching to VT2 gives:

sh-3.1# uname -p
unknown
sh-3.1# uname -m
i686

This is on a Compaq TC1000 tabletpc, which has a transmeta CPU - /proc/cpuinfo
shows:

processor : 0
vendor_id : GenuineTMx86
model name: Transmeta(tm) Crusor(tm) Processor TM5800

family, model, stepping = 6, 4, 3

This is a particularly irritating bug since it occurs AFTER the hard disk has
been formatted and the machine rendered useless.

Version-Release number of selected component (if applicable):

FC5 release

How reproducible:

Always

Steps to Reproduce:
1. Install FC5
2. select any package layout (including minimal)
3. after format, wait for error
  
Actual results:

Installer fails, leaves machine blank

Expected results:

It works.

Additional info:

The same machine installed fine in FC4. These are both PXE HTTP installs.
Comment 1 Paul Nasrat 2006-04-25 09:57:42 EDT

*** This bug has been marked as a duplicate of 186378 ***